Python
import requests
url = "https://api.paywise.de/v1/webhooks/{id}/"
payload = { "url": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>'})
};
fetch('https://api.paywise.de/v1/webhooks/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://api.paywise.de/v1/webhooks/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/webhooks/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"url\": \"<string>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request PUT \
--url https://api.paywise.de/v1/webhooks/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"consecutive_failures": 123,
"last_failure_at": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"deliveries_url": "<string>",
"enabled": true,
"events": "<unknown>",
"access_mode": "test",
"description": "<string>",
"max_consecutive_failures": -1
}webhooks
Put v1webhooks
Webhook endpoints for receiving real-time notifications.
Webhooks allow you to receive HTTP POST notifications when events occur in your account. Each webhook endpoint has a unique secret key used to verify the authenticity of webhook deliveries.
PUT
/
v1
/
webhooks
/
{id}
/
Python
import requests
url = "https://api.paywise.de/v1/webhooks/{id}/"
payload = { "url": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>'})
};
fetch('https://api.paywise.de/v1/webhooks/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://api.paywise.de/v1/webhooks/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/webhooks/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"url\": \"<string>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request PUT \
--url https://api.paywise.de/v1/webhooks/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"consecutive_failures": 123,
"last_failure_at": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"deliveries_url": "<string>",
"enabled": true,
"events": "<unknown>",
"access_mode": "test",
"description": "<string>",
"max_consecutive_failures": -1
}Authorizations
tokenAuthtokenAuth
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Serializer for WebhookEndpoint model.
Response
200 - application/json
Serializer for WebhookEndpoint model.
